<?php
define("THIS_FILE", "forgot_pw.php");

require_once("config/config.inc.php");
require_once("MainRegUI.inc.php");
require_once("DbConnection.inc.php");
require_once("KDbTools.inc.php");
require_once("Plugins.inc.php");
require_once("autoloader.inc.php");
autoloader::init();

// Login not allowd => go to registration
if(!KDbConfig::getAllowUserLogin()) {
  header("Status: 302 Moved Temporarily");
  header("Location:registration.php");
  exit;
}

include_once(KDbConfig::getCwfPath()."plugins/plugins_admin.inc.php");

$DB = new DbConnection(KDbConfig::getDbHost(), KDbConfig::getDbUser(), KDbConfig::getDbPasswd(), KDbConfig::getDbName());
CWFTools::startSession("k_db");
CWFTools::replaceHTMLChars($_POST);

$menu = new MainRegUI($DB);

$emailTxt = _("Dear \$givenname\$ \$familyname\$,\n\n".
    "You received this email because You used the \"forgot my password\" function. Your registration id and new password are:\n\n".
    "Your registration id: \$user_id\$\n".
    "Your new password: \$passwd\$\n\n".
    "You can log in at \$URL\$ with the new password and Your registration id or Your email address.\n\n".
    "Best regards\n\n".
    "The \$ORGANISATION_NAME\$ Team.\n");

require_once("forgot_pw.inc.php");

if ($menu->writeHeader(THIS_FILE, KDbConfig::getOrganisationName() . " - " . _("Forgotten password"), ""))
  $ui->getHTML($DB);
$menu->writeFooter();

?>
