<?php
abstract class KDbConfig {
  // CWF options
  private static $cwfPath;
    public static function getCwfPath() { return self::$cwfPath; }
    public static function setCwfPath($val) { self::$cwfPath = $val; }
  private static $cwfHttpPath;
    public static function getCwfHttpPath() { return self::$cwfHttpPath; }
    public static function setCwfHttpPath($val) { self::$cwfHttpPath = $val; }
  private static $setAutoloaderSrc;
    public static function getAutoloaderSrc() { return self::$setAutoloaderSrc; }
    public static function setAutoloaderSrc($val) { self::$setAutoloaderSrc = $val; }
  private static $useLang;
    public static function getUseLang() { return self::$useLang; }
    public static function setUseLang($val) { self::$useLang = $val; }
  private static $defaultLang;
    public static function getDefaultLang() { return self::$defaultLang; }
    public static function setDefaultLang($val) { self::$defaultLang = $val; }

  private static $organisationName;
    public static function getOrganisationName() { return self::$organisationName; }
    public static function setOrganisationName($val) { self::$organisationName = $val; }
  private static $rootEmail;
    public static function getRootEmail() { return self::$rootEmail; }
    public static function setRootEmail($val) { self::$rootEmail = $val; }
  private static $allowUserLogin;
    public static function getAllowUserLogin() { return self::$allowUserLogin; }
    public static function setAllowUserLogin($val) { self::$allowUserLogin = $val; }
  private static $disableFileUpload;
    public static function getDisableFileUpload() { return self::$disableFileUpload; }
    public static function setDisableFileUpload($val) { self::$disableFileUpload = $val; }
  private static $enableMultipleRegistration;
    public static function getEnableMultipleRegistration() { return self::$enableMultipleRegistration; }
    public static function setEnableMultipleRegistration($val) { self::$enableMultipleRegistration = $val; }
  private static $emailDuplicates;
    public static function getEmailDuplicates() { return self::$emailDuplicates; }
    public static function setEmailDuplicates($val) { self::$emailDuplicates = $val; }
  private static $cssSkin;
    public static function getCssSkin() { return self::$cssSkin; }
    public static function setCssSkin($val) { self::$cssSkin = $val; }
  private static $currency;
    public static function getCurrency() { return self::$currency; }
    public static function setCurrency($val) { self::$currency = $val; }

  private static $returnpathWorkaround;
    public static function getReturnpathWorkaround() { return self::$returnpathWorkaround; }
    public static function setReturnpathWorkaround($val) { self::$returnpathWorkaround = $val; }

  //Database settings
  private static $dbHost;
    public static function getDbHost() { return self::$dbHost; }
    public static function setDbHost($val) { self::$dbHost = $val; }
  private static $dbName;
    public static function getDbName() { return self::$dbName; }
    public static function setDbName($val) { self::$dbName = $val; }
  private static $dbUser;
    public static function getDbUser() { return self::$dbUser; }
    public static function setDbUser($val) { self::$dbUser = $val; }
  private static $dbPasswd;
    public static function getDbPasswd() { return self::$dbPasswd; }
    public static function setDbPasswd($val) { self::$dbPasswd = $val; }
     
  //Security settings
  private static $adminLoginMode;
    public static function getAdminLoginMode() { return self::$adminLoginMode; }
    public static function setAdminLoginMode($val) { self::$adminLoginMode = $val; }

  //User properties
  private static $userProperties;
    public static function getUserProperties() { return self::$userProperties; }
    public static function setUserProperties($val) { self::$userProperties = $val; }
  private static $userPropertiesReq;
    public static function getUserPropertiesReq() { return self::$userPropertiesReq; }
    public static function setUserPropertiesReq($val) { self::$userPropertiesReq = $val; }

  //Registration confirmation
  private static $kdbConfirmationText;
    public static function getKdbConfirmationText() { return self::$kdbConfirmationText; }
    public static function setKdbConfirmationText($val) { self::$kdbConfirmationText = $val; }
  private static $kdbConfirmationEmail;
    public static function getKdbConfirmationEmail() { return self::$kdbConfirmationEmail; }
    public static function setKdbConfirmationEmail($val) { self::$kdbConfirmationEmail = $val; }
}
?>
